## org.exist.dom
Class CDATASectionImpl

    java.lang.Object
      org.exist.dom.NodeImpl
          org.exist.dom.StoredNode
              org.exist.dom.CharacterDataImpl
                  org.exist.dom.CDATASectionImpl

All Implemented Interfaces:
  org.w3c.dom.CDATASection, org.w3c.dom.CharacterData, org.w3c.dom.Node, QNameable, org.w3c.dom.Text, Visitable

public class CDATASectionImpl
extends CharacterDataImpl
implements org.w3c.dom.CDATASection

Field Summary

Fields inherited from class org.exist.dom.StoredNode
`UNKNOWN_NODE_IMPL_ADDRESS`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`CDATASectionImpl()`
`CDATASectionImpl(NodeId nodeId)`
`CDATASectionImpl(NodeId nodeId, java.lang.String data)`
`CDATASectionImpl(XMLString data)`

Method Summary
`static StoredNode` `deserialize(byte[] data, int start, int len, DocumentImpl doc, boolean pooled)` Read a node from the specified byte array.
`int` `getChildCount()`
`org.w3c.dom.Node` `getFirstChild()`
`java.lang.String` `getWholeText()`
`boolean` `hasChildNodes()`
`boolean` `isElementContentWhitespace()`
`org.w3c.dom.Text` `replaceWholeText(java.lang.String content)`
`byte[]` `serialize()`
`org.w3c.dom.Text` `splitText(int offset)`

Methods inherited from class org.exist.dom.CharacterDataImpl
`appendData, appendData, clear, deleteData, getData, getLength, getLowerCaseData, getNodeValue, getXMLString, insertData, release, replaceData, setData, setData, setData, substringData, toString`

Methods inherited from class org.exist.dom.StoredNode
`accept, accept, deserialize, equals, getBroker, getDocId, getInternalAddress, getNextSibling, getNodeId, getNodeType, getOwnerDocument, getParentNode, getPath, getPreviousSibling, getQName, setInternalAddress, setNodeId, setOwnerDocument, toString`

Methods inherited from class org.exist.dom.NodeImpl

`appendChild, appendChildren, cloneNode, compareDocumentPosition, getAttributes, getAttributesCount, getBaseURI, getChildNodes, getFeature, getLastChild, getLocalName, getNamespaceURI, getNodeName, getPrefix, getTextContent, getUserData, hasAttributes, insertAfter, insertAfter, insertBefore, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, removeChild, replaceChild, replaceChild, setAttributes, setNodeName, setNodeValue, setPrefix, setTextContent, setUserData, supports, updateChild, updateChild`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.CharacterData
`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### CDATASectionImpl

    public CDATASectionImpl()

### CDATASectionImpl

    public CDATASectionImpl(NodeId nodeId,
                            java.lang.String data)

### CDATASectionImpl

    public CDATASectionImpl(NodeId nodeId)

### CDATASectionImpl

    public CDATASectionImpl(XMLString data)

Method Detail

### getChildCount

    public int getChildCount()

  Overrides:
    `getChildCount` in class `NodeImpl`

### getFirstChild

    public org.w3c.dom.Node getFirstChild()

  Specified by:
    `getFirstChild` in interface `org.w3c.dom.Node`
  Overrides:
    `getFirstChild` in class `NodeImpl`
  See Also:
    `Node.getFirstChild()`

### hasChildNodes

    public boolean hasChildNodes()

  Specified by:
    `hasChildNodes` in interface `org.w3c.dom.Node`
  Overrides:
    `hasChildNodes` in class `NodeImpl`
  See Also:
    `Node.hasChildNodes()`

### getWholeText

    public java.lang.String getWholeText()

### isElementContentWhitespace

    public boolean isElementContentWhitespace()

### replaceWholeText

    public org.w3c.dom.Text replaceWholeText(java.lang.String content)
                                      throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### splitText

    public org.w3c.dom.Text splitText(int offset)
                               throws org.w3c.dom.DOMException

  Specified by:
    `splitText` in interface `org.w3c.dom.Text`
  Throws:
    `org.w3c.dom.DOMException`

### serialize

    public byte[] serialize()

  Overrides:
    `serialize` in class `StoredNode`

### deserialize

    public static StoredNode deserialize(byte[] data,
                                         int start,
                                         int len,
                                         DocumentImpl doc,
                                         boolean pooled)

  Description copied from class: `StoredNode`
  Read a node from the specified byte array. <<<<<<< .working This checks the node type and calls the `StoredNode.deserialize(byte[], int, int, DocumentImpl, boolean)` ======= This checks the node type and calls the deserialize(byte[], int, int,boolean) >>>>>>> .merge-right.r4159 method of the corresponding node class. The node will be allocated in the pool and should be released once it is no longer needed.

Copyright (C) Wolfgang Meier. All rights reserved.